import { config } from './../../config'
import axios from 'axios'
import { headerData } from './reqHeaders'
import { Toast } from 'vant'



const $axios = axios.create({
  baseURL: config.baseUrl,
  timeout: 60000
})



console.log(config)



// 添加请求拦截器
$axios.interceptors.request.use(
  (config: any) => {
    Object.assign(config.headers, headerData)
    return config
  },
  (error) => {
    return Promise.reject(error)
  }
)

// 添加响应拦截器
$axios.interceptors.response.use(
  (response) => {
    // console.log(response, 78)
    if (response.data.isSuccess === 'T') {
      // console.log("response.data=",response.data)
      return response.data.body
    }else{
      Toast(response.data.errorMsg || '系统异常')
    }
  }
)

export default $axios
