import { $goOuterUrl } from '@/utils/utils'
import { shallowRef } from 'vue'
import { DemensionPagesInter } from '../../types'
import PoChanChongZheng from '@/components/DetailCustom/PoChanChongZheng.vue'
import SiFaPaiMaiVue from '@/components/DetailCustom/SiFaPaiMai.vue'
import JYNewCaselibDetVue from '@/views/CustomPage/JYNewCaselibDet.vue'

const judgeTendencyCom = (judgeTendency: string) => {
  if (['撤诉', '对方撤诉'].includes(judgeTendency)) {
    return 'gray'
  } else if (
    [
      '被驳回',
      '不被支持',
      '终结本次执行',
      '被查冻扣',
      '对方被支持',
      '终结执行',
      '承担连带责任',
      '被强制执行',
      '被破产清算',
      '被破产重整',
      '被执行完毕'
    ].includes(judgeTendency)
  ) {
    return 'red'
  } else if (
    [
      '获得部分支持',
      '对方不被支持',
      '获得支持',
      '不承担责任',
      '和解',
      '解除查冻扣',
      '达成调解',
      '中止诉讼'
    ].includes(judgeTendency)
  ) {
    return 'green'
  } else {
    return 'orange'
  }
}
//数量全完成
export const pageArr: DemensionPagesInter = {
  projectName: '法律风险',
  list: [
    {
      code: 'open_announcement',
      routing: 'KaiTingGongGao',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      title: '开庭公告',
      tabs: { key: 'deleted' },
      detailType: '1',
      menuList: [
        {
          paramsValue: 'identity',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '原告/公诉人/上诉人/申请人',
              value: '1'
            },
            {
              text: '被告/被上诉人/被申请人',
              value: '2'
            }
          ]
        },
        {
          paramsValue: 'caseReason',
          value: '',   // v-model绑定的值
          paramsId: 'case_reason',
          list: [
            {
              text: '案由不限',
              value: ''
            }
          ]
        }
      ],
      detailList: [
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '开庭时间',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '地区',
          value: 'area'
        },
        {
          name: '排期日期',
          value: 'planDate',
          valueType: 'date'
        },
        {
          name: '承办部门',
          value: 'department'
        },
        {
          name: '审判长/主审人',
          value: 'judge'
        },
        {
          name: '原告/上诉人/申请人/公诉人',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '被告人/被告/被上诉人/被申请人',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '法院',
          value: 'court'
        },
        {
          name: '法庭',
          value: 'courtRoom'
        },
        {
          name: '公告内容',
          value: 'content'
        }
      ],
      viewList: [
        {
          value: 'caseReason',
          valueType: 'title'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '被上诉人/被告',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '开庭时间',
          value: 'startDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'dishonesty',
      routing: 'ShiXinQingKuang',
      title: '失信信息',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      tabs: { key: 'deleted' },
      menuList: [
        {
          paramsValue: 'performance',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '履行情况不限',
              value: ''
            },
            {
              text: '全部未履行',
              value: '全部未履行'
            },
            {
              text: '部分未履行',
              value: '部分未履行'
            }
          ]
        },
        {
          paramsValue: 'year',
          value: '',   // v-model绑定的值
          paramsId: 'pub_date',
          list: [
            {
              text: '年份不限',
              value: ''
            }
          ]
        }
      ],
      detailList: [
        {
          name: '失信人名称',
          value: 'name',
          isProperty: true
        },
        {
          name: '身份证号码/组织机构代码',
          value: 'cardNum'
        },
        {
          name: '生效法律文书确定的义务',
          value: 'duty'
        },
        {
          name: '被执行人的履行情况',
          value: 'performance'
        },
        {
          name: '失信被执行人行为具体情形',
          value: 'actionContent'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '立案时间',
          value: 'regTime',
          valueType: 'date'
        },
        {
          name: '执行法院',
          value: 'court'
        },
        {
          name: '做出执行依据单位',
          value: 'gistUnit'
        },
        {
          name: '发布时间',
          value: 'pubDate',
          valueType: 'date'
        },
        {
          name: '省份',
          value: 'area'
        },
        {
          name: '执行依据文号',
          value: 'gistDd'
        },
        {
          name: '已履行',
          value: 'performedPart'
        },
        {
          name: '未履行',
          value: 'unperformPart'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '执行法院',
          value: 'court'
        },
        {
          name: '执行依据文号',
          value: 'gistDd'
        },
        {
          name: '履行情况',
          value: 'performance'
        },
        {
          name: '立案日期',
          value: 'regTime',
          valueType: 'date'
        },
        {
          name: '发布日期',
          value: 'pubDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'case_filing',
      routing: 'LiAnXinXi',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      title: '立案信息',
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '法院',
          value: 'court'
        },
        {
          name: '承办部门',
          value: 'department'
        },
        {
          name: '承办法官',
          value: 'judge'
        },
        {
          name: '法官助理',
          value: 'assistant'
        },
        {
          name: '立案时间',
          value: 'filingDate',
          valueType: 'date'
        },
        {
          name: '开庭时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '结案时间',
          value: 'closeDate',
          valueType: 'date'
        },
        {
          name: '案件状态',
          value: 'caseStatus'
        },
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '原告/上诉人/申请人/公诉人',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '被告人/被告/被上诉人/被申请人',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigant_id'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '被上诉人/被告',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '立案日期',
          value: 'filingDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'send_announcement',
      routing: 'SongDaGongGao',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      tabs: { key: 'deleted' },
      title: '送达公告',
      menuList: [
        {
          paramsValue: 'identity',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '原告/公诉人/上诉人/申请人',
              value: '1'
            },
            {
              text: '被告/被上诉人/被申请人',
              value: '2'
            }
          ]
        },
        {
          paramsValue: 'year',
          value: '',   // v-model绑定的值
          paramsId: 'startYear',
          list: [
            {
              text: '年份不限',
              value: ''
            }
          ]
        }
      ],
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '法院',
          value: 'court'
        },
        {
          name: '承办部门',
          value: 'department'
        },
        {
          name: '承办法官',
          value: 'judge'
        },
        {
          name: '法官助理',
          value: 'assistant'
        },
        {
          name: '立案时间',
          value: 'filingDate',
          valueType: 'date'
        },
        {
          name: '开庭时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '结案时间',
          value: 'closeDate',
          valueType: 'date'
        },
        {
          name: '案件状态',
          value: 'caseStatus'
        },
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '原告/上诉人/申请人/公诉人',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '被告人/被告/被上诉人/被申请人',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigant_id'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '被上诉人/被告',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '立案日期',
          value: 'filingDate',
          valueType: 'date'
        }
      ]
    },
    {
      //拍卖详情页未完成
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      code: 'judicial_auction',
      routing: 'SiFaPaiMai',
      title: '司法拍卖',
      // detailCustomRender: shallowRef(SiFaPaiMaiVue),
      detailRouteParams: ['auctionItemsId'],
      viewList: [
        {
          value: 'auctionTitle',
          valueType: 'title'
        },
        {
          name: '起拍价（元）',
          value: 'initialPrice'
        },
        {
          name: '拍卖时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '报名人数',
          value: 'applyCount'
        }
      ]
    },
    {
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      code: 'evaluation_result',
      routing: 'XunJiaPingGu',
      title: '询价评估',
      tabs: {
        key: 'dimensionCode',
        list: [
          {
            name: '评估结果',
            value: 'evaluation_result',
            viewList: [
              {
                name: '标的物所有人',
                value: 'name'
              },
              {
                name: '询价结果(元)',
                value: 'money',
                solt: (item: { money: string }) => {
                  const value = item.money
                  let max = ''
                  if (value && JSON.parse(value).length > 0) {
                    const arr = JSON.parse(value)
                    if (arr.length == 1) {
                      max = arr[0]
                    } else {
                      max = Math.min.apply(null, arr) + '-' + Math.max.apply(null, arr)
                    }
                  } else {
                    max = '-'
                  }
                  return max
                }
              },
              {
                name: '案号',
                value: 'caseNo'
              },
              {
                name: '法院名称',
                value: 'courtName'
              },
              {
                name: '发布日期',
                value: 'publishTime',
                valueType: 'date'
              },
              {
                name: '财产类型',
                value: 'assetType'
              },
              {
                name: '确定参考价方式',
                value: 'referencePrice'
              }
            ]
          },
          {
            name: '选定评估机构',
            value: 'evaluation',
            viewList: [
              {
                name: '案号',
                value: 'caseNo'
              },
              {
                name: '法院名称',
                value: 'courtName'
              },
              {
                name: '当事人',
                value: 'name'
              },
              {
                name: '财产类型',
                value: 'assetType'
              },
              {
                name: '标的物名称',
                value: 'assetName'
              }
              // {
              //   name: '摇号日期',
              //   value: 'insertTime',
              //   valueType: 'date'
              // }
            ]
          }
        ]
      }

    },
    {
      code: 'final_case',
      routing: 'ZhongBenAnJian',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      title: '终本案件',
      tabs: { key: 'deleted' },
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '身份证号/组织机构代码',
          value: 'identityNum'
        },
        {
          name: '执行法院',
          value: 'courtName'
        },
        {
          name: '被执行人姓名/名称',
          value: 'name',
          companyId: 'keyno',
          isProperty: true
        },
        {
          name: '立案日期',
          value: 'caseCreateTime',
          valueType: 'date'
        },
        {
          name: '终本日期',
          value: 'caseFinalTime',
          valueType: 'date'
        },
        {
          name: '执行标的',
          value: 'execAmount'
        },
        {
          name: '未履行金额',
          value: 'noExecAmount'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '被执行人',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '执行标的',
          value: 'execAmount'
        },
        {
          name: '执行法院',
          value: 'courtName'
        },
        {
          name: '立案日期',
          value: 'caseCreateTime',
          valueType: 'date'
        },
        {
          name: '终本日期',
          value: 'caseFinalTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'executed_person',
      routing: 'BeiZhiXingRen',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      title: '被执行人',
      tabs: { key: 'deleted' },
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '执行标的（元）',
          value: 'execMoney'
        },
        {
          name: '执行法院',
          value: 'court'
        },
        {
          name: '立案日期',
          value: 'caseCreateTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'limit_high_consumption',
      routing: 'JYXianZhiGaoXiaoFei',
      title: '限制高消费',
      tabs: { key: 'deleted' },
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailType: '5',
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '身份证号码/组织机构代码',
          value: 'cardNum'
        },
        {
          name: '性别',
          value: 'sex'
        },
        {
          name: '关联对象',
          value: 'personName',
          companyId: 'pid'
        },
        {
          name: '申请执行人',
          listVal: 'applicantInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '限消令对象',
          value: 'companyName',
          companyId: 'companyId',
          isProperty: true
        },
        {
          name: '执行法院名称',
          value: 'courtName'
        },
        {
          name: '立案日期',
          value: 'caseCreateTime',
          valueType: 'date'
        },
        {
          name: '发布日期',
          value: 'publishDate',
          valueType: 'date'
        },
        {
          name: '省份',
          value: 'province'
        },
        {
          name: '相关文件详情',
          value: 'filePath',
          solt: () => `<span class="link">查看详情</span>`,
          customClick: (item: { filePath: string }) => $goOuterUrl(item.filePath)
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '消费令对象',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '关联对象',
          value: 'personName',
          companyId: 'pid'
        },
        {
          name: '申请执行人',
          listVal: 'applicantInfo',
          value: 'name',
          companyId: 'litigantId'
        },
        {
          name: '立案日期',
          value: 'caseCreateTime',
          valueType: 'date'
        },
        {
          name: '发布日期',
          value: 'publishDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'wenshu',
      routing: 'CaiPanWenShu',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailCustomRender: shallowRef(JYNewCaselibDetVue),
      title: '裁判文书',
      menuList: [
        {
          paramsValue: 'identity',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '原告/公诉人/上诉人/申请人',
              value: '1'
            },
            {
              text: '被告/被上诉人/被申请人',
              value: '2'
            }
          ]
        },
        {
          paramsValue: 'case_reason',
          value: '',   // v-model绑定的值
          paramsId: 'caseReason',
          list: [
            {
              text: '案由不限',
              value: ''
            }
          ]
        },
        {
          paramsValue: 'docType',
          value: '',   // v-model绑定的值
          paramsId: 'docType',
          list: [
            {
              text: '类型不限',
              value: ''
            }
          ]
        },
        {
          paramsValue: 'province',
          value: '',   // v-model绑定的值
          paramsId: 'courtProvinceCode',
          name: '地域',
          list: [
            {
              text: '不限',
              value: ''
            }
          ]
        },
        {
          paramsValue: 'year',
          value: '',   // v-model绑定的值
          paramsId: 'judgeYear',
          name: '发布年份',
          list: [
            {
              text: '不限',
              value: ''
            }
          ]
        },
        {
          paramsValue: 'courtLevel',
          value: '',   // v-model绑定的值
          name: '法院层级',
          list: [
            {
              text: '不限',
              value: ''
            },
            {
              text: '最高法院',
              value: '最高法院'
            },
            {
              text: '高级法院',
              value: '高级法院'
            },
            {
              text: '中级法院',
              value: '中级法院'
            },
            {
              text: '基层法院',
              value: '基层法院'
            },
            {
              text: '其他',
              value: '其他'
            }
          ]
        },
        {
          paramsValue: 'caseStage',
          value: '',   // v-model绑定的值
          paramsId: 'caseStage',
          name: '案件阶段',
          list: [
            {
              text: '不限',
              value: ''
            }
          ]
        }
      ],
      viewList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          value: 'name',
          companyId: 'litigantId',
          listVal: 'partyTitle',
          solt: (item: { partyTitle: string; name: string; judgeTendency: string }) => `
          <div>
            <span style="color:#969696">${item.partyTitle}</span>
            ：${item.name} 
            <span class="${judgeTendencyCom(item.judgeTendency)}">[${item.judgeTendency}]</span>
          </div>`
        },
        {
          name: '判决结果',
          value: 'judgeResult'
        },
        {
          name: '裁判日期',
          value: 'judgeDate',
          valueType: 'date'
        },
        {
          name: '原告律师',
          value: 'lawyerName',
          listVal: 'ygLawyer'
        },
        {
          name: '被告律师',
          value: 'lawyerName',
          listVal: 'bgLawyer'
        }
      ]
    },
    {
      code: 'court_announcement',
      routing: 'FaYuanGongGao',
      title: '法院公告',
      tabs: { key: 'deleted' },
      menuList: [
        {
          paramsValue: 'announcementType',
          paramsId: 'announcement_type',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '公告类型不限',
              value: ''
            }
          ]
        },
        {
          paramsValue: 'year',
          value: '',   // v-model绑定的值
          paramsId: 'publish_date',
          list: [
            {
              text: '年份不限',
              value: ''
            }
          ]
        }
      ],
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          name: '公告类型',
          value: 'announcementType'
        },
        {
          name: '公布日期',
          value: 'publishDate'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId'
        },
        {
          name: '被上诉人/被告',
          listVal: 'litigantInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '执行法院',
          value: 'courtName'
        },
        {
          name: '区域',
          value: 'province'
        },
        {
          name: '法官',
          value: 'judge'
        },
        {
          name: '内容',
          value: 'content'
        }
      ],
      viewList: [
        {
          name: '公告类型',
          value: 'announcementType'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId'
        },
        {
          name: '被上诉人/被告',
          listVal: 'litigantInfo',
          value: 'name',
          companyId: 'litigantId'
        },
        {
          name: '执行法院',
          value: 'courtName'
        },
        {
          name: '刊登日期',
          value: 'publishDate'
        }
      ]
    },
    {
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      code: 'equity_freeze',
      routing: 'GuQuanDongJie',
      title: '股权冻结',
      tabs: { key: 'deleted' },
      menuList: [
        {
          paramsValue: 'role',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '被执行人',
              value: 'executed_person'
            },
            {
              text: '执行标的企业',
              value: 'company'
            }
          ]
        }
      ],
      viewList: [
        {
          name: '执行通知书文号',
          value: 'executeNoticeNum'
        },
        {
          name: '被执行人',
          value: 'executedPerson',
          companyId: 'executedPersonId'
        },
        {
          name: '冻结股权标的企业',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '股权数额',
          value: 'equityAmount'
        },
        {
          name: '执行法院',
          value: 'executiveCourt'
        },
        {
          name: '类型|状态',
          value: 'typeState'
        }
      ]
    },
    {
      code: 'bankruptcy',
      routing: 'PoChanChongZheng',
      title: '破产重整',
      detailValue: 'bankruptcyOpenCase',
      companyId: 'e8ee433fae5e03e4816c0b5981da76ba',
      detailCustomRender: shallowRef(PoChanChongZheng),
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '经办法院',
          value: 'agencyCourt'
        },
        {
          name: '申请人',
          value: 'applicant'
        },
        {
          name: '被申请人',
          value: 'respondent'
        },
        {
          name: '管理人机构',
          value: 'managerOrganization'
        },
        {
          name: '管理人主要负责人',
          value: 'principalManager'
        },
        {
          name: '公开时间',
          value: 'publicDate',
          valueType: 'date'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '经办法院',
          value: 'agencyCourt'
        },
        {
          name: '公开时间',
          value: 'publicDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'litigation_mediation',
      routing: 'SuQianTiaoJie',
      title: '诉前调解',
      companyId: 'a10a3675d3f4e38af372dcd8eddce29f',
      detailType: '8',
      menuList: [
        {
          paramsValue: 'identity',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '原告/公诉人/上诉人/申请人',
              value: '1'
            },
            {
              text: '被告/被上诉人/被申请人',
              value: '2'
            }
          ]
        }
      ],
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '法院',
          value: 'court'
        },
        {
          name: '承办部门',
          value: 'department'
        },
        {
          name: '承办法官',
          value: 'judge'
        },
        {
          name: '法官助理',
          value: 'assistant'
        },
        {
          name: '立案时间',
          value: 'filingDate',
          valueType: 'date'
        },
        {
          name: '开庭时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '结案时间',
          value: 'closeDate',
          valueType: 'date'
        },
        {
          name: '案件状态',
          value: 'caseStatus'
        },
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '原告/上诉人/申请人/公诉人',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '被告人/被告/被上诉人/被申请人',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigant_id'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          value: 'name',
          listVal: 'plaintiffInfo',
          companyId: 'litigantId'
        },
        {
          name: '被上诉人/被告',
          value: 'name',
          listVal: 'defendantInfo',
          companyId: 'litigantId'
        },
        {
          name: '立案日期',
          value: 'filingDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'outbound_restrictions',
      routing: 'XianZhiChuJing',
      title: '限制出境',
      companyId: '190f4302a77d2c5fec225d19c173f76e',
      detailType: '3',
      detailList: [
        {
          name: '限制出境对象',
          value: 'limitedPerson',
          companyId: 'limitedPersonPid'
        },
        {
          name: '被执行人',
          value: 'executedPersonName',
          companyId: 'executedPersonKeyno'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '被执行人地址',
          value: 'executedAddress'
        },
        {
          name: '申请执行人',
          value: 'applayer'
        },
        {
          name: '执行标的金额（元）',
          value: 'executedAmount'
        },
        {
          name: '承办法院',
          value: 'court'
        },
        {
          name: '法院联系电话',
          value: 'courtTel'
        },
        {
          name: '发布日期',
          value: 'publishTime',
          valueType: 'date'
        }
      ],
      viewList: [
        {
          valueType: 'title',
          value: 'caseNo'
        },
        {
          name: '限制出境对象',
          value: 'limitedPerson',
          companyId: 'limitedPersonPid'
        },
        {
          name: '被执行人',
          value: 'executedPersonName',
          companyId: 'executedPersonKeyno',
          solt: (item) => `
            <div>
            <span>${item.executedPersonName}</span>
            <div class="executedPersonName-check">查看财产线索</div>
            </div>
          `
        },
        {
          name: '被执行人地址',
          value: 'executedAddress'
        },
        {
          name: '执行标的金额（元）',
          value: 'executedAmount'
        }
      ]
    },
    {
      code: 'bankruptcy_applicant',
      routing: 'PoChanZhaiQuan',
      title: '破产债权',
      companyId: 'ab154ca9fbaeb0fe6ae3cfb17359855e',
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '经办法院',
          value: 'agencyCourt'
        },
        {
          name: '申请人',
          listVal: 'applicantInfo',
          companyId: 'litigant_id',
          value: 'name'
        },
        {
          name: '被申请人',
          listVal: 'respondentInfo',
          companyId: 'litigant_id',
          value: 'name'
        },
        {
          name: '管理人机构',
          value: 'managerOrganization'
        },
        {
          name: '管理人主要负责人',
          value: 'principalManager'
        },
        {
          name: '公开时间',
          value: 'publicDate',
          valueType: 'date'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '经办法院',
          value: 'agencyCourt'
        },
        {
          name: '公开时间',
          value: 'publicDate',
          valueType: 'date'
        }
      ]
    }
  ]
}
