import { DemensionPagesInter } from '../../types'
import JianYiZhuXiao from '@/components/DetailCustom/JianYiZhuXiao.vue'
import { shallowRef } from 'vue'
import DongChanDiYaVue from '@/components/DetailCustom/DongChanDiYa.vue'
import JieSanQingSuan from '@/components/ListCustom/JieSanQingSuan.vue'
import ZhuXiaoBeiAn from '@/components/ListCustom/ZhuXiaoBeiAn.vue'
import GuQuanZhiYa from '@/components/ListCustom/GuQuanZhiYa.vue'
//数量全完成
export const pageArr: DemensionPagesInter = {
  projectName: '经营风险',
  list: [
    {
      code: 'penalties',
      routing: 'XingZhengChuFa',
      title: '行政处罚',
      tabs: { key: 'deleted' },
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      // detailList: [
      //   {
      //     name: '违法类型',
      //     value: 'type'
      //   }
      // ],
      viewList: [
        {
          value: 'punishNumber',
          valueType: 'title'
        },
        {
          name: '违法类型',
          value: 'type'
        },
        {
          name: '决定日期',
          value: 'decisionDate',
          valueType: 'date'
        },
        {
          name: '公示日期',
          value: 'publishDate',
          valueType: 'date'
        },
        {
          name: '决定机关',
          value: 'departmentName'
        }
      ]
    },
    {
      code: 'exception',
      routing: 'JingYingYiChang',
      title: '经营异常',
      tabs: { key: 'deleted' },
      companyId: '190f4302a77d2c5fec225d19c173f76e',
      viewList: [
        {
          name: '列入经营异常名录原因',
          value: 'putReason'
        },
        {
          name: '列入作出决定机关',
          value: 'putDepartment'
        },
        {
          name: '列入日期',
          value: 'putDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'pledge_equity',
      routing: 'GuQuanChuZhi',
      title: '股权出质',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          name: '登记编号',
          value: 'regNumber'
        },
        {
          name: '状态',
          value: 'state'
        },
        {
          name: '出质人',
          listVal: 'pledgorInfo',
          companyId: 'pledgor_id',
          value: 'pledgor'
        },
        {
          name: '出质人证件号码',
          value: 'certifNumberPledgor'
        },
        {
          name: '出质股权数额',
          value: 'equityAmount'
        },
        {
          name: '质权人',
          listVal: 'pledgeeInfo',
          companyId: 'pledgee_id',
          value: 'pledgee'
        },
        {
          name: '质权人证件号',
          value: 'certifNumberPledgee'
        },
        {
          name: '股权出质登记日期',
          value: 'regDate',
          valueType: 'date'
        },
        {
          name: '出质股权标的企业',
          value: 'relatedCompanyName'
        }
      ],
      tabs: { key: 'deleted' },
      menuList: [
        {
          paramsValue: 'equityType',
          value: '',
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '出质人',
              value: '1'
            },
            {
              text: '出质标的企业',
              value: '0'
            }
          ]
        },
        {
          paramsValue: 'equityState',
          value: '',
          list: [
            {
              text: '状态不限',
              value: ''
            },
            {
              text: '有效',
              value: '有效'
            },
            {
              text: '无效',
              value: '无效'
            }
          ]
        }
      ],
      viewList: [
        {
          value: 'pledgee',
          listVal: 'pledgeeInfo',
          companyId: 'pledgeeId',
          name: '质权人'
        },
        {
          value: 'pledgor',
          listVal: 'pledgorInfo',
          companyId: 'pledgorId',
          name: '出质人'
        },
        {
          name: '登记编号',
          value: 'regNumber'
        },
        {
          name: '出质股权标的的企业',
          value: 'relatedCompanyName'
        },
        {
          name: '出质股权数额（万元）',
          value: 'equityAmount'
        },
        {
          name: '状态',
          value: 'state'
        }
      ]
    },
    {
      code: 'pledgee_equity',
      routing: 'GuQuanChuZhiZhiQuanRen',
      title: '股权出质(质权人)',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      tabs: { key: 'deleted' },
      detailList: [
        {
          name: '登记编号',
          value: 'regNumber'
        },
        {
          name: '状态',
          value: 'state'
        },
        {
          name: '出质人',
          listVal: 'pledgorInfo',
          companyId: 'pledgor_id',
          value: 'pledgor'
        },
        {
          name: '出质人证件号码',
          value: 'certifNumberPledgor'
        },
        {
          name: '出质股权数额',
          value: 'equityAmount'
        },
        {
          name: '质权人',
          listVal: 'pledgeeInfo',
          companyId: 'pledgee_id',
          value: 'pledgee'
        },
        {
          name: '质权人证件号',
          value: 'certifNumberPledgee'
        },
        {
          name: '股权出质登记日期',
          value: 'regDate',
          valueType: 'date'
        },
        {
          name: '出质股权标的企业',
          value: 'relatedCompanyName'
        }
      ],
      menuList: [
        {
          paramsValue: 'equityType',
          value: '',
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '出质人',
              value: '1'
            },
            {
              text: '出质标的企业',
              value: '0'
            }
          ]
        },
        {
          paramsValue: 'equityState',
          value: '',
          list: [
            {
              text: '状态不限',
              value: ''
            },
            {
              text: '有效',
              value: '有效'
            },
            {
              text: '无效',
              value: '无效'
            }
          ]
        }
      ],
      viewList: [
        {
          value: 'pledgee',
          listVal: 'pledgeeInfo',
          companyId: 'pledgeeId',
          name: '质权人'
        },
        {
          value: 'pledgor',
          listVal: 'pledgorInfo',
          companyId: 'pledgorId',
          name: '出质人'
        },
        {
          name: '登记编号',
          value: 'regNumber'
        },
        {
          name: '出质股权标的的企业',
          value: 'relatedCompanyName'
        },
        {
          name: '出质股权数额（万元）',
          value: 'equityAmount'
        },
        {
          name: '状态',
          value: 'state'
        }
      ]
    },
    {
      code: 'reduce_record',
      routing: 'JianZiJiLu',
      title: '减资记录',
      companyId: '5916e7c3f0a81096635241fd01f6b828',
      noDataList: true,
      viewList: [
        {
          name: '类型',
          value: 'category'
        },
        {
          name: '减资项目',
          value: 'changeItem'
        },
        {
          name: '减资前',
          value: 'contentBefore'
        },
        {
          name: '减资后',
          value: 'contentAfter'
        },
        {
          name: '减资项日期',
          value: 'changeTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'land_public',
      routing: 'TuDiGongShi',
      title: '土地公示',
      companyId: '6820fae3c815fb899214617b54efadf7',
      viewList: [
        {
          value: 'location',
          valueType: 'title'
        },
        {
          name: '土地面积(公顷)',
          value: 'area'
        },
        {
          name: '土地用途',
          value: 'useFor'
        },
        {
          name: '发布机关',
          value: 'publicationOrganize'
        },
        {
          name: '受让单位',
          value: 'applicationName'
        },
        {
          name: '开始公布日期',
          value: 'publicationDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'land_mortgage',
      routing: 'TuDiDiYa',
      title: '土地抵押',
      companyId: 'cbe86f02d808d1698677d9530935d14c',
      tabs: { key: 'deleted' },
      detailList: [
        {
          name: '土地抵押人名称',
          value: 'mortgagor',
          companyId: 'mortgagorCompanyId'
        },
        {
          name: '土地抵押人性质',
          value: 'nature'
        },
        {
          name: '土地抵押权人',
          value: 'mortgagee',
          companyId: 'mortgageeCompanyId'
        },
        {
          name: '宗地坐落',
          value: 'landLoc'
        },
        {
          name: '抵押土地权属性质与使用权类型',
          value: 'useType'
        },
        {
          name: '宗地标识',
          value: 'landMark'
        },
        {
          name: '宗地编号',
          value: 'landNum'
        },
        {
          name: '所在行政区',
          value: 'landAministrativeArea'
        },
        {
          name: '土地面积（公顷）',
          value: 'landArea'
        },
        {
          name: '土地他项权利人证号',
          value: 'otherItemNum'
        },
        {
          name: '土地使用权证号',
          value: 'useRightNum'
        },
        {
          name: '抵押面积（公顷）',
          value: 'area'
        },
        {
          name: '评估金额（万元）',
          value: 'evaluateAmount'
        },
        {
          name: '抵押金额（万元）',
          value: 'mortgageAmount'
        }
      ],
      viewList: [
        {
          name: '土地抵押人',
          value: 'mortgagor',
          companyId: 'mortgagorCompanyId'
        },
        {
          name: '土地抵押权人',
          value: 'mortgagee',
          companyId: 'mortgageeCompanyId'
        },
        {
          name: '抵押用途',
          value: 'useFor'
        },
        {
          name: '起始时间',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '评估金额(万元)',
          value: 'evaluateAmount'
        },
        {
          name: '抵押金额(万元)',
          value: 'mortgageAmount'
        }
      ]
    },
    {
      code: 'mortgage',
      routing: 'DongChanDiYa',
      title: '动产抵押',
      companyId: 'ccb293ad96c184506aa54f95f7284929',
      detailCustomRender: shallowRef(DongChanDiYaVue),
      tabs: { key: 'deleted' },
      detailList: [],
      viewList: [
        {
          name: '登记编号',
          value: 'regNum'
        },
        {
          name: '登记机关',
          value: 'regDepartment'
        },
        {
          name: '登记日期',
          value: 'regDate',
          companyId: 'date'
        },
        {
          name: '被担保债权种类',
          value: 'type'
        }
      ]
    },
    {
      code: 'environmental_penalty',
      routing: 'HuanBaoChuFa',
      title: '环保处罚',
      companyId: '419d159ef06fb329f3b9384f194557a9',
      detailList: [
        {
          name: '被处罚公司（人）名称',
          value: 'name'
        },
        {
          name: '决定书文号',
          value: 'punishNumber'
        },
        {
          name: '处罚单位',
          value: 'department'
        },
        {
          name: '处罚时间',
          value: 'publishTime',
          valueType: 'date'
        },
        {
          name: '执法依据',
          value: 'punishBasis'
        },
        {
          name: '违反法律',
          value: 'lawBreak'
        },
        {
          name: '违法行为',
          value: 'reason'
        },
        {
          name: '执行情况',
          value: 'execution'
        },
        {
          name: '执法措施',
          value: 'content'
        }
      ],
      viewList: [
        {
          name: '决定书文号',
          value: 'punishNumber'
        },
        {
          name: '处罚日期',
          value: 'publishTime',
          valueType: 'date'
        },
        {
          name: '处罚单位',
          value: 'department'
        }
      ]
    },
    {
      code: 'tax_violation',
      routing: 'ShuiShouWeiFa',
      title: '税收违法',
      companyId: '9899d9e4f832ecfec3bd7648ce64b355',
      detailList: [
        {
          name: '纳税人名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '纳税人识别号',
          value: 'taxpayerNumber'
        },
        {
          name: '组织机构代码',
          value: 'taxpayerCode'
        },
        {
          name: '注册地址',
          value: 'address'
        },
        {
          name: '法定代表人或负责人',
          value: 'legalPersonInfo'
        },
        {
          name: '案件性质',
          value: 'caseType'
        },
        {
          name: '所属税务机关',
          value: 'department'
        },
        {
          name: '负有直接责任的中介机构及其从业人员信息',
          value: 'responsibleDepartmentInfo'
        },
        {
          name: '负有直接责任的财务负责人',
          value: 'responsiblePersonInfo'
        },
        {
          name: '违法事实，法律依据，处理处罚情况',
          value: 'caseInfo'
        }
      ],
      viewList: [
        {
          name: '案件性质',
          value: 'caseType'
        },
        {
          name: '发布日期',
          value: 'publishTime',
          valueType: 'date'
        },
        {
          name: '所属机关',
          value: 'department'
        }
      ]
    },
    {
      code: 'own_tax',
      routing: 'QianShuiGongGao',
      title: '欠税公告',
      companyId: '649ac7eeb08153a53c3e1765df904ec0',
      detailList: [
        {
          name: '公司名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '纳税人类型',
          value: 'taxPersonType'
        },
        {
          name: '证件号码',
          value: 'legalNum'
        },
        {
          name: '纳税人识别号',
          value: 'taxNum'
        },
        {
          name: '欠税余额（元）',
          value: 'taxBalance'
        },
        {
          name: '当前新发生的欠税余额（元）',
          value: 'newTaxBalance'
        },
        {
          name: '欠税税种',
          value: 'taxCategory'
        },
        {
          name: '发布日期',
          value: 'publishDate',
          valueType: 'date'
        },
        {
          name: '负责人',
          value: 'legalName'
        },
        {
          name: '经营地点',
          value: 'location'
        },
        {
          name: '注册类型',
          value: 'regType'
        }
      ],
      viewList: [
        {
          valueType: 'title',
          value: 'companyName'
        },
        {
          name: '欠税余额（元）',
          value: 'taxBalance'
        },
        {
          name: '当前新发生的欠税余额（元）',
          value: 'newTaxBalance'
        },
        {
          name: '欠税税种',
          value: 'taxCategory'
        },
        {
          name: '发布日期',
          value: 'publishDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'public_announcement',
      routing: 'GongShiCuiGao',
      title: '公示催告',
      companyId: '387ad92a758ecafc8a1810c7a687ccdc',
      detailList: [
        {
          name: '票据号',
          value: 'billNum'
        },
        {
          name: '票据类型',
          value: 'billType'
        },
        {
          name: '票面金额',
          value: 'billAmt'
        },
        {
          name: '出票日',
          value: 'startDate'
        },
        {
          name: '到期日',
          value: 'endDate'
        },
        {
          name: '公告日期',
          value: 'publishDate',
          valueType: 'date'
        },
        {
          name: '处理类型',
          value: 'type'
        },
        {
          name: '申请人',
          value: 'applyName'
        },
        {
          name: '持票人',
          value: 'owner'
        },
        {
          name: '付款方',
          value: 'gatherName'
        },
        {
          name: '出票人',
          value: 'drawer'
        },
        {
          name: '公告法院',
          value: 'court'
        },
        {
          name: '公告内容',
          value: 'infoDetail'
        }

      ],
      viewList: [
        {
          name: '票据号',
          value: 'billNum'
        },
        {
          name: '票据类型',
          value: 'billType'
        },
        {
          name: '票面金额',
          value: 'billAmt'
        },
        {
          name: '公告法院',
          value: 'court'
        },
        {
          name: '公告日期',
          value: 'publishDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'illegal_info',
      routing: 'YanZhongWeiFaXingWei',
      title: '严重违法',
      companyId: '09fefa057533a9b161fa041154dc73f9',
      tabs: { key: 'deleted' },
      viewList: [
        {
          name: '列入严重违法失信企业名单原因',
          value: 'putReason'
        },
        {
          name: '列入作出决定机关',
          value: 'putDepartment'
        },
        {
          name: '列入日期',
          value: 'putDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'simple_cancel',
      routing: 'JianYiZhuXiao',
      title: '简易注销',
      companyId: 'edb1d1d5421546cf9352364d25459c89',
      detailCustomRender: shallowRef(JianYiZhuXiao),
      viewList: [
        {
          name: '企业名称',
          value: 'companyName'
        },
        {
          name: '公告期',
          value: 'announcementTerm'
        },
        {
          name: '登记机关',
          value: 'regAuthority'
        }
      ]
    },
    {
      code: 'eci_liquidation',
      routing: 'QingSuanXinXi',
      title: '解散清算',
      companyId: '92f08110f1214592a94404c7989cc125',
      listCustomRender: shallowRef(JieSanQingSuan),
      viewList: [
        {
          name: '企业名称',
          value: 'companyName'
        },
        {
          name: '公告期',
          value: 'announcementTerm'
        },
        {
          name: '登记机关',
          value: 'regAuthority'
        }
      ]
    },
    {
      //顶部tab
      code: 'stock_pledge',
      routing: 'GuQuanZhiYa',
      title: '股权质押',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: GuQuanZhiYa
    },
    {
      code: 'stock_pledge_holder',
      routing: 'GuQuanZhiYaZhiYaRen',
      title: '股权质押（质押人）',
      companyId: '4a09f265523ebeecff5e6e4278fff4ff',
      detailList: [
        {
          name: '质押人',
          value: 'holderName',
          companyId: 'holderId'
        },
        {
          name: '质押人参股企业',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '质押股份总数（股）',
          value: 'sharefrozennum'
        },
        {
          name: '质押股份市值（元）',
          value: 'sz'
        },
        {
          name: '占股东持股比例',
          value: 'frozenratio'
        },
        {
          name: '占总股本比例',
          value: 'frozenintotal'
        },
        {
          name: '质押权人',
          value: 'pledgee',
          companyId: 'pledgeeId'
        },
        {
          name: '质押原因',
          value: 'restrictedPledgedShares'
        },
        {
          name: '质押目的',
          value: 'pledgepur'
        },
        {
          name: '质押日收盘价',
          value: 'spj'
        },
        {
          name: '预警线',
          value: 'yjx'
        },
        {
          name: '平仓线',
          value: 'pcx'
        },
        {
          name: '质押开始日期',
          value: 'sdate',
          valueType: 'date'
        },
        {
          name: '质押解除日期',
          value: 'enddate',
          valueType: 'date'
        },
        {
          name: '状态',
          value: 'yjxPcxType'
        },
        {
          name: '公告日期',
          value: 'ndate',
          valueType: 'date'
        }
      ],
      viewList: [
        {
          name: '质押人',
          value: 'holderName',
          companyId: 'holderId'
        },
        {
          name: '质押人参股企业',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '质押权人',
          value: 'pledgee',
          companyId: 'pledgeeId'
        },
        {
          name: '质押股份总数（股）',
          value: 'sharefrozennum'
        },
        {
          name: '质押股份市值（元）',
          value: 'sz'
        },
        {
          name: '状态',
          value: 'yjxPcxType'
        },
        {
          name: '公告日期',
          value: 'ndate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'knowledge_pledge',
      routing: 'ZhiShiChanQuanChuZhi',
      title: '知识产权出质',
      companyId: 'cff468258871974c086713a100e55112',
      detailList: [
        {
          name: '知识产权登记证号',
          value: 'iprRegNum'
        },
        {
          name: '名称',
          value: 'iprName'
        },
        {
          name: '种类',
          value: 'iprType'
        },
        {
          name: '出质人',
          listVal: 'pledgorInfo',
          value: 'pledgor',
          companyId: 'pledgor_id'
        },
        {
          name: '质权人',
          listVal: 'pledgeeInfo',
          value: 'pledgee',
          companyId: 'pledgee_id'
        },
        {
          name: '质权登记期限',
          value: 'pledgeRegPeriod'
        },
        {
          name: '状态',
          value: 'status'
        },
        {
          name: '公示日期',
          value: 'pubDate',
          valueType: 'date'
        },
        {
          name: '注销日期',
          value: 'cancelDate',
          valueType: 'date'
        },
        {
          name: '注销原因',
          value: 'cancelReason'
        },
        {
          name: '变更日期',
          value: 'changeTime',
          valueType: 'date'
        },
        {
          name: '变更事项',
          value: 'changeItem'
        },
        {
          name: '变更前内容',
          value: 'contentBefore'
        },
        {
          name: '变更后内容',
          value: 'contentAfter'
        }
      ],
      viewList: [
        {
          name: '知识产权登记证号',
          value: 'iprRegNum'
        },
        {
          name: '名称',
          value: 'iprName'
        },
        {
          name: '种类',
          value: 'iprType'
        },
        {
          name: '出质人',
          listVal: 'pledgorInfo',
          value: 'pledgor',
          companyId: 'pledgorId'
        },
        {
          name: '质权人',
          listVal: 'pledgeeInfo',
          value: 'pledgee',
          companyId: 'pledgeeId'
        },
        {
          name: '质权登记期限',
          value: 'pledgeRegPeriod'
        },
        {
          name: '状态',
          value: 'status'
        },
        {
          name: '公示日期',
          value: 'pubDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'cancellation_announcement',
      routing: 'ZhuXiaoBeiAn',
      title: '注销备案',
      companyId: '723430dfe20e8c2c6659ade8f6cfd8f7',
      listCustomRender: ZhuXiaoBeiAn
    }
  ]
}
