import JinChuKouXinYongZhengVue from '@/components/DetailCustom/JinChuKouXinYongZheng.vue'
import RongZiXinXi from '@/components/ListCustom/RongZiXinXi.vue'
import ZhuYaoKeHu from '@/components/ListCustom/ZhuYaoKeHu.vue'
import GongYingShang from '@/components/ListCustom/GongYingShang.vue'
import { $goOuterUrl } from '@/utils/utils'
import { shallowRef } from 'vue'
import { DemensionPagesInter } from '../../types'
import ShuangSuiJiChouCha from '@/components/DetailCustom/ShuangSuiJiChouCha.vue'
//维度已完成
export const pageArr: DemensionPagesInter = {
  projectName: '基本信息',
  list: [
    {
      code: 'eci_bidding',
      routing: 'ZhaoTouBiao',
      title: '招投标',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '来源',
          value: 'link',
          solt: () => `
          <span class="link">
            原始链接
          </span>`,
          customClick: (item: { link: string }) => {
            console.log(item)
            $goOuterUrl(item.link)
          }
        },
        {
          value: 'publishTime',
          name: '发布日期',
          valueType: 'date'
        },
        {
          name: '省份',
          value: 'province'
        },
        {
          name: '代理机构',
          value: 'proxy'
        },
        {
          name: '标书类型',
          value: 'type'
        },
        {
          name: '标的类型',
          value: 'items'
        },
        {
          name: '采购人信息',
          listVal: 'purchaserInfo',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '供应商信息',
          listVal: 'supplierInfo',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '招投标正文',
          value: 'intro',
          valueType: 'richText'
        }
      ],
      viewList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '省份',
          value: 'province'
        },
        {
          name: '采购人信息',
          listVal: 'purchaserInfo',
          companyId: 'keyno',
          value: 'name'
        },
        {
          name: '供应商信息',
          listVal: 'supplierInfo',
          companyId: 'keyno',
          value: 'name'
        },
        {
          name: '发布日期',
          value: 'publishTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'eci_recruitment',
      routing: 'ZhaoPinXinXi',
      title: '招聘信息',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '薪资',
          value: 'oriSalary'
        },
        {
          name: '招聘公司',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '招聘类别',
          value: 'class'
        },
        {
          name: '招聘人数',
          value: 'employNum'
        },
        {
          name: '工作经验',
          value: 'experience'
        },
        {
          name: '所在城市',
          solt: (item: { city: string; district: string }) => {
            return `<span>${item.city || '-'} ${item.district || '-'}</span>`
          },
          value: 'district'
        },
        {
          name: '办公地点',
          value: 'location'
        },
        {
          name: '信息来源',
          value: 'source'
        },
        {
          name: '招聘开始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '招聘截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '职位描述',
          solt: (item: { description: string }) => {
            return `<span>${item.description.replace('[', '').replace(']', '')}</span>`
          },
          value: 'description'
          // valueType: 'date'
        }
      ],
      viewList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '薪资',
          value: 'oriSalary'
        },
        {
          name: '办公地点',
          value: 'location'
        },
        {
          name: '工作经验',
          value: 'experience'
        },
        {
          name: '招聘开始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '招聘结束日期',
          value: 'endDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'special_qualification',
      routing: 'TeShuZiZhi',
      title: '特殊资质',
      companyId: '25bca6102d624eb7f48846d7468d03a6',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      viewList: [
        {
          name: '资质类别',
          value: 'category'
        },
        {
          name: '证书编号',
          value: 'certNo'
        },
        {
          name: '资质名称',
          value: 'certName'
        },
        {
          name: '发证日期',
          value: 'signDate'
        },
        {
          name: '证书有效期',
          value: 'validPeriod'
        },
        {
          name: '发证机关',
          value: 'signDept'
        }
      ]
    },
    {
      code: 'import_export_credit',
      routing: 'JinChuKouXinYongZheng',
      title: '进出口信用证',
      companyId: 'c8af755fa8b42a2e8201be4137c69290',
      detailCustomRender: shallowRef(JinChuKouXinYongZhengVue),
      viewList: [
        {
          name: '企业名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '注册海关',
          value: 'customsRegisteredAddress'
        },
        {
          name: '经营类别',
          value: 'managementCategory'
        },
        {
          name: '行业种类',
          value: 'industryCategory'
        },
        {
          name: '海关注销标志',
          value: 'status'
        },
        {
          name: '注册日期',
          value: 'recordDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'permission_eci',
      routing: 'XingZhenXuKe',
      title: '行政许可',
      tabs: {
        key: 'dimensionCode',
        list: [
          {
            name: '工商局',
            value: 'permission_eci',
            viewList: [
              {
                name: '许可文件名称',
                value: 'licenseName'
              },
              {
                name: '许可文件编号',
                value: 'licenseNumber'
              },
              {
                name: '许可机关',
                value: 'department'
              },
              {
                name: '有效期起始日',
                value: 'startDate'
              },
              {
                name: '有效期至',
                value: 'endDate'
              }
            ],
            detailList: [
              {
                name: '许可文件名称',
                value: 'licenseName'
              },
              {
                name: '许可文件编号',
                value: 'licenseNumber'
              },
              {
                name: '有效期起始日',
                value: 'startDate'
              },
              {
                name: '有效期至',
                value: 'endDate'
              },
              {
                name: '发证日期',
                value: 'issueDate',
                valueType: 'date'
              },
              {
                name: '类型',
                value: 'type'
              },
              {
                name: '证书状态',
                value: 'status'
              },
              {
                name: '等级',
                value: 'grade'
              },
              {
                name: '许可机关',
                value: 'department'
              },
              {
                name: '许可内容',
                value: 'scope'
              }
            ]
          },
          {
            name: '信用中国',
            value: 'permission_china',
            viewList: [
              {
                name: '许可证号',
                value: 'licenceNumber'
              },
              {
                name: '内容许可',
                value: 'licenceContent'
              },
              {
                name: '许可机关',
                value: 'department'
              },
              {
                name: '决定日期',
                value: 'decisionDate',
                valueType: 'date'
              },
              {
                name: '许可截止日期',
                value: 'endDate',
                valueType: 'date'
              }
            ],
            detailList: [
              {
                name: '名称',
                value: 'companyName',
                companyId: 'companyId'
              },
              {
                name: '许可证号',
                value: 'licenceNumber'
              },
              {
                name: '许可证状态',
                value: 'licenceStatus'
              },
              {
                name: '许可决定日期',
                value: 'decisionDate'
              },
              {
                name: '许可截止日期',
                value: 'endDate'
              },
              {
                name: '审批类别',
                value: 'auditYpe'
              },
              {
                name: '地域',
                value: 'areaName'
              },
              {
                name: '许可机关',
                value: 'department'
              },
              {
                name: '许可内容',
                value: 'licenceContent'
              }
            ]
          }
        ]
      },
      companyId: '88f04cbfab150fe2bccdeec3aea32750'
    },
    {
      code: 'land_purchase',
      routing: 'GouDiXinXi',
      title: '购地信息',
      companyId: 'a10a3675d3f4e38af372dcd8eddce29f',
      detailList: [
        {
          name: '项目名称',
          value: 'projectName'
        },
        {
          name: '项目位置',
          value: 'projectLoc'
        },
        {
          name: '土地使用权人',
          value: 'applicationName'
        },
        {
          name: '土地来源实际值',
          value: 'source'
        },
        {
          name: '土地来源显示值',
          value: 'sourceView'
        },
        {
          name: '行政区',
          value: 'district'
        },
        {
          name: '电子监管号',
          value: 'eNumber'
        },
        {
          name: '面积（公顷）',
          value: 'area'
        },
        {
          name: '土地用途',
          value: 'useType'
        },
        {
          name: '供地方式',
          value: 'supplyMethod'
        },
        {
          name: '土地使用年限',
          value: 'usePeriod'
        },
        {
          name: '行业分类',
          value: 'category'
        },
        {
          name: '土地级别',
          value: 'landLevel'
        },
        {
          name: '成交价格（万元）',
          value: 'tranPrice'
        },
        {
          name: '分期支付约定期号',
          listVal: 'instalmentPayment',
          value: 'instalment_payment_contract_payment_period_number'
        },
        {
          name: '分期支付约定支付日期',
          listVal: 'instalmentPayment',
          value: 'instalment_payment_convention_payment_date'
        },
        {
          name: '分期支付约定支付金额（万元）',
          listVal: 'instalmentPayment',
          value: 'instalment_payment_agreed_payment_amount'
        },
        {
          name: '分期支付备注',
          listVal: 'instalmentPayment',
          value: 'instalment_payment_agreement_notes'
        },
        {
          name: '约定容积率下限',
          value: 'volumeRate'
        },
        {
          name: '约定容积率上限',
          value: 'volumeRateCeiling'
        },
        {
          name: '约定交地时间',
          value: 'commitTime',
          valueType: 'date'
        },
        {
          name: '约定开工时间',
          value: 'actualStartTime',
          valueType: 'date'
        },
        {
          name: '约定竣工时间',
          value: 'scheduledCompletion',
          valueType: 'date'
        },
        {
          name: '实际开工时间',
          value: 'actualStartTime',
          valueType: 'date'
        },
        {
          name: '实际竣工时间',
          value: 'actualCompletionTime',
          valueType: 'date'
        },
        {
          name: '批准单位',
          value: 'authority'
        },
        {
          name: '合同签订日期',
          value: 'contractDate',
          valueType: 'date'
        }

      ],
      viewList: [
        {
          name: '总面积（公顷）',
          value: 'area'
        },
        {
          name: '土地用途',
          value: 'useType'
        },
        {
          name: '供应方式',
          value: 'supplyMethod'
        },
        {
          name: '签订日期',
          value: 'contractDate',
          valueType: 'date'
        },
        {
          name: '行政区',
          value: 'district'
        }
      ]
    },
    {
      code: 'land_transfer_old',
      routing: 'TuDiZhuanRang',
      title: '土地转让',
      companyId: '6820fae3c815fb899214617b54efadf7',
      detailList: [
        {
          name: '宗地坐落',
          value: 'location'
        },
        {
          name: '宗地编号',
          value: 'num'
        },
        {
          name: '原土地所有权人',
          value: 'userPre'
        },
        {
          name: '现有土地使用权人',
          value: 'userNow'
        },
        {
          name: '宗地标识',
          value: 'mark'
        },
        {
          name: '土地面积（公顷）',
          value: 'area'
        },
        {
          name: '土地用途',
          value: 'useFor'
        },
        {
          name: '所在行政区',
          value: 'aministrativeArea'
        },
        {
          name: '成交时间',
          value: 'merchandiseTime',
          valueType: 'date'
        },
        {
          name: '土地使用权类型',
          value: 'useType'
        },
        {
          name: '土地使用年限(年)',
          value: 'yearsOfUse'
        },
        {
          name: '土地利用状况',
          value: 'situation'
        },
        {
          name: '土地级别',
          value: 'level'
        },
        {
          name: '转让方式',
          value: 'merchandiseType'
        },
        {
          name: '转让价格（万元）',
          value: 'merchandisePrice'
        }
      ],
      viewList: [
        {
          value: 'location',
          valueType: 'title'
        },
        {
          name: '土地面积(公顷)',
          value: 'area'
        },
        {
          name: '转让价格（万元）',
          value: 'merchandisePrice'
        },
        {
          name: '原土地使用权人',
          value: 'userPre'
        },
        {
          name: '现土地使用权人',
          value: 'userNow'
        },
        {
          name: '成交时间',
          value: 'merchandiseTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'land_transfer_new',
      routing: 'TuDiZhuanRangShouRangRen',
      title: '土地转让',
      companyId: 'ca7cfcf883bdc7179980f58a088070b4',
      detailList: [
        {
          name: '宗地坐落',
          value: 'location'
        },
        {
          name: '宗地编号',
          value: 'num'
        },
        {
          name: '原土地所有权人',
          value: 'userPre'
        },
        {
          name: '现有土地使用权人',
          value: 'userNow'
        },
        {
          name: '宗地标识',
          value: 'mark'
        },
        {
          name: '土地面积（公顷）',
          value: 'area'
        },
        {
          name: '土地用途',
          value: 'useFor'
        },
        {
          name: '所在行政区',
          value: 'aministrativeArea'
        },
        {
          name: '成交时间',
          value: 'merchandiseTime',
          valueType: 'date'
        },
        {
          name: '土地使用权类型',
          value: 'useType'
        },
        {
          name: '土地使用年限(年)',
          value: 'yearsOfUse'
        },
        {
          name: '土地利用状况',
          value: 'situation'
        },
        {
          name: '土地级别',
          value: 'level'
        },
        {
          name: '转让方式',
          value: 'merchandiseType'
        },
        {
          name: '转让价格（万元）',
          value: 'merchandisePrice'
        }
      ],
      viewList: [
        {
          value: 'location',
          valueType: 'title'
        },
        {
          name: '土地面积(公顷)',
          value: 'area'
        },
        {
          name: '转让价格（万元）',
          value: 'merchandisePrice'
        },
        {
          name: '原土地使用权人',
          value: 'userPre'
        },
        {
          name: '现土地使用权人',
          value: 'userNow'
        },
        {
          name: '成交时间',
          value: 'merchandiseTime',
          valueType: 'date'
        }
      ]
    },
    {
      //碧桂园地产集团有限公司
      code: 'credit_rating',
      routing: 'XinYongPingJi',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      title: '信用评级',
      companyId: 'a10a3675d3f4e38af372dcd8eddce29f',
      noDataList: true,
      viewList: [
        {
          name: '评级日期',
          value: 'ratingDate'
        },
        {
          name: '债券信用等级',
          value: 'bondCreditLevel'
        },
        {
          name: '公司简称',
          value: 'alias'
        },
        {
          name: '主体等级',
          value: 'subjectLevel'
        },
        {
          name: '评级展望',
          value: 'ratingOutlook'
        },
        {
          name: '评级公司',
          value: 'ratingCompanyName'
        }
      ]
    },
    {
      code: 'tax_credit',
      routing: 'ShuiWuXinYong',
      title: '税务信用',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          name: '纳税人名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '纳税人识别号',
          value: 'idNumber'
        },
        {
          name: '评价年度',
          value: 'year'
        },
        {
          name: '纳税信用等级',
          value: 'grade'
        },
        {
          name: '评价单位',
          value: 'evalDepartment'
        },
        {
          name: '类型',
          value: 'type',
          solt: (item: { type: string }) => item.type == '0' ? '国税' : item.type == '1' ? '地税' : '-'
        },
        {
          name: '省市',
          value: 'base'
        },
        {
          name: '来源',
          value: 'source',
          solt: (item: { source: string }) => `<span class="link">${item.source}</span>`,
          customClick: (item: { source: string }) => $goOuterUrl(item.source)
        }
      ]
    },
    {
      code: 'company_financing',
      routing: 'RongZhiXinXi',
      title: '融资信息',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: shallowRef(RongZiXinXi)
    },
    {
      code: 'eci_customers',
      routing: 'ZhuYaoKeHu',
      title: '主要客户',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: shallowRef(ZhuYaoKeHu)
    },
    {
      code: 'bond_info',
      routing: 'ZhaiQuanXinXi',
      title: '债券信息',
      companyId: 'eebed7e3d531ba662d5b8f0723286081',
      detailList: [
        {
          name: '债券名称',
          value: 'bondFullName'
        },
        {
          name: '债券简称',
          value: 'bondName'
        },
        {
          name: '债券代码',
          value: 'bondNum'
        },
        {
          name: '债券定义代码',
          value: 'bondDefinedCode'
        },
        {
          name: '债券类型',
          value: 'bondType'
        },
        {
          name: '债券类型代码',
          value: 'bondTypeCode'
        },
        {
          name: '发行人代码',
          value: 'entyDefinedCode'
        },
        {
          name: '发行人',
          value: 'publisherName'
        },
        {
          name: '债券面值（元）',
          value: 'faceValue'
        },
        {
          name: '债券年限',
          value: 'bondTimeLimit'
        },
        {
          name: '票面利率(%)',
          value: 'faceInterestRate'
        },
        {
          name: '币种',
          value: 'bondCcy'
        },
        {
          name: '参考利率',
          value: 'refInterestRate'
        },
        {
          name: '到期日',
          value: 'publishExpireTime',
          valueType: 'date'
        },
        {
          name: '摘牌日',
          value: 'bondStopTime',
          valueType: 'date'
        },
        {
          name: '计息方式',
          value: 'calInterestType'
        }, {
          name: '起息日期',
          value: 'startCalInterestTime',
          valueType: 'date'
        }, {
          name: '发行价格（元）',
          value: 'issuedPrice'
        }, {
          name: '计划发行量(亿)',
          value: 'planIssuedQuantity'
        }, {
          name: '实际发行量(亿)',
          value: 'realIssuedQuantity'
        },
        {
          name: '发行日期',
          value: 'publishTime',
          valueType: 'date'
        },
        {
          name: '上市日期',
          value: 'bondTradeTime',
          valueType: 'date'
        },
        {
          name: '债项评级',
          value: 'debtRating'
        },
        {
          name: '最新债项评级',
          value: 'debtRtng'
        },
        {
          name: '托管机构',
          value: 'escrowAgent'
        },
        {
          name: '流通范围',
          value: 'flowRange'
        },
        {
          name: '信用评级机构',
          value: 'creditRatingGov'
        },
        {
          name: '行权类型',
          value: 'exeRightType'
        },
        {
          name: '信用评级机构',
          value: 'exeRightTime'
        },
        {
          name: '注',
          value: 'tip'
        },
        {
          name: '外汇交易中心详情页',
          value: 'sourceUrl',
          solt: (item: { sourceUrl: string }) => `<span class="link">${item.sourceUrl}</span>`,
          customClick: (item: { sourceUrl: string }) => $goOuterUrl(item.sourceUrl)
        }
      ],
      viewList: [
        {
          name: '债券简称',
          value: 'bondName'
        },
        {
          name: '债券代码',
          value: 'bondNum'
        },
        {
          name: '债券类型',
          value: 'bondType'
        },
        {
          name: '发行日期',
          value: 'publishTime',
          valueType: 'date'
        },
        {
          name: '上市日期',
          value: 'bondTradeTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'product_info',
      routing: 'ChanPinXinXi',
      title: '产品信息',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          name: '公司名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '产品名称',
          value: 'name'
        },
        {
          name: '产品领域',
          value: 'classes'
        },
        {
          name: '产品分类',
          value: 'type'
        },
        {
          name: '产品简称',
          value: 'filterName'
        },
        {
          name: '产品描述',
          value: 'brief'
        }
      ],
      viewList: [
        {
          value: 'name',
          valueType: 'title'
        },
        {
          name: '领域',
          value: 'classes'
        },
        {
          name: '产品分类',
          value: 'type'
        }
      ]
    },
    {
      code: 'check_info',
      routing: 'ChouChaJianCha',
      title: '抽查检查',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          name: '检查实施机关',
          value: 'checkOrg'
        },
        {
          name: '检查类型',
          value: 'checkType'
        },
        {
          name: '结果',
          value: 'checkResult'
        },
        {
          name: '日期',
          value: 'checkDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'eci_supply',
      routing: 'GongYingShang',
      title: '供应商',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: shallowRef(GongYingShang)
    },
    {
      code: 'property_rights_transaction',
      routing: 'ChanQuanJiaoYi',
      title: '产权交易',
      companyId: '65e50cd3b9128925fe470046e4e1c911',
      viewList: [
        {
          name: '标的名称',
          value: 'proName'
        },
        {
          name: '交易价格',
          value: 'finalPrice'
        },
        {
          name: '标的企业',
          listVal: 'subjectName',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '转让/处置方',
          listVal: 'disposerInfo',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '披露日期',
          value: 'revealDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'double_random',
      routing: 'ShuangSuiJiChouCha',
      title: '双随机抽查',
      detailValue: 'companyDoubleRandomCheckInfo',
      detailCustomRender: ShuangSuiJiChouCha,
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          name: '抽查任务编号',
          value: 'checkTaskNum'
        },
        {
          name: '抽查任务名称',
          value: 'checkTaskName'
        },
        {
          name: '抽查机关',
          value: 'checkDepartment'
        },
        {
          name: '抽查类型',
          value: 'checkType'
        },
        {
          name: '抽查完成日期',
          value: 'checkDate',
          valueType: 'date'
        }
      ],
      viewList: [
        {
          valueType: 'title',
          value: 'checkTaskName'
        },
        {
          name: '抽查任务编号',
          value: 'checkTaskNum'
        },
        {
          name: '抽查机关',
          value: 'checkDepartment'
        },
        {
          name: '抽查完成日期',
          value: 'checkDate',
          companyId: 'date'
        }
      ]
    }
  ]
}


