import { DemensionPagesInter } from '../../types'
import pdfImg from '@/assets/img/pdf.png'
import { $goOuterUrl } from '@/utils/utils'
//维度已完成
export const pageArr: DemensionPagesInter = {
  projectName: '法律风险',
  list: [
    {
      code: 'accounts_receivablae',
      routing: 'YingShouZhangKuanRongZi',
      title: '应收账款融资',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      hasDetail: true,
      detailList: [
        {
          name: '公告日期',
          value: 'noticeDate',
          valueType: 'date'
        },
        {
          name: '质权人信息',
          listVal: 'pledgeeInfo',
          value: 'pledgee',
          companyId: 'pledgeeId',
          companyName: 'pledgee'
        },
        {
          name: '受让人',
          listVal: 'assigneeInfo',
          value: 'assignee',
          companyId: 'assignee_id',
          companyName: 'assignee'
        },
        {
          name: '融资金额',
          value: 'financeOrig',
          valueType: 'w'
        },
        {
          name: '类型',
          value: 'financeType'
        },
        {
          name: '期限',
          value: 'deadline'
        },
        {
          name: '起始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '财产价值',
          value: 'pledgeAsset',
          valueType: 'w'
        },
        {
          name: '质押/转让财产描述',
          value: 'pledgeAssetDescri'
        }

      ],
      viewList: [
        {
          name: '公告日期',
          value: 'noticeDate',
          valueType: 'date'
        },
        {
          name: '质权人信息',
          listVal: 'pledgeeInfo',
          value: 'pledgee',
          companyId: 'pledgeeId',
          companyName: 'pledgee'
        },
        {
          name: '受让人',
          listVal: 'assigneeInfo',
          value: 'assignee',
          companyId: 'assigneeId',
          companyName: 'assignee'
        },
        {
          name: '融资金额',
          value: 'financeOrig',
          valueType: 'w'
        },
        {
          name: '类型',
          value: 'financeType'
        },
        {
          name: '期限',
          value: 'deadLine',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'dcm_registration_limit',
      routing: 'DCMZhuCeEDu',
      title: 'DCM注册额度',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      viewList: [
        {
          name: 'DCM分类',
          value: 'bondLassify'
        },
        {
          name: '初始注册额度',
          value: 'initRegist',
          valueType: 'w'
        },
        {
          name: '累计使用',
          value: 'sumissueScale',
          valueType: 'w'
        },
        {
          name: '已使用',
          value: 'sumoccLimit',
          valueType: 'w'
        },
        {
          name: '有效起始日',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '注册文件号',
          value: 'fileno'
        },
        {
          name: '主承销商信息',
          listVal: 'underwriterInfo',
          value: 'companyName',
          companyId: 'companyId',
          companyName: 'companyName'
        }
      ]
    },
    {
      code: 'bond_financing',
      routing: 'ZhaiQuanRongZi',
      title: '债券融资',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      viewList: [
        {
          name: '债券简称',
          value: 'abbreviation'
        },
        {
          name: '债券简称编号',
          value: 'symbol'
        },
        {
          name: '债券类型',
          value: 'typedesc_1'
        },
        {
          name: '债券余额',
          value: 'issuedValue',
          valueType: 'w'
        },
        {
          name: '票面利率(%)',
          value: 'coupon'
        },
        {
          name: '到期日',
          value: 'maturityDate',
          valueType: 'date'
        },
        {
          name: '开始日',
          value: 'beginDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'overseas_bond_financing',
      routing: 'JingWaiZhaiQuanRongZi',
      title: '境外债券融资',
      companyId: 'b78f5b2efb1d15921787201595f0ee2b',
      hasDetail: true,
      detailList: [
        {
          name: '债券简称',
          value: 'bondSimpleName'
        },
        {
          name: '余额',
          value: 'teminalAmount',
          valueType: 'w'
        },
        {
          name: '发行规模',
          value: 'issueVolume',
          valueType: 'w'
        },
        {
          name: '票面利率(%)',
          value: 'couponsWill'
        },
        {
          name: '剩余年限',
          value: 'residualMaturity'
        },
        {
          name: '面值',
          value: 'faceValue'
        },
        {
          name: '币种',
          value: 'currency'
        },
        {
          name: '发行人',
          value: 'issuerCnname'
        },
        {
          name: '公司类型',
          value: 'companyType'
        },
        {
          name: '币种',
          value: 'currency'
        },
        {
          name: '主要上市地区',
          value: 'majorListPlace'
        },
        {
          name: '债券全称',
          value: 'bondName'
        },
        {
          name: '债务类型',
          value: 'bondType'
        },
        {
          name: '发行日',
          value: 'issueDate'
        },
        {
          name: '到期日',
          value: 'expiringDate'
        },
        {
          name: '计息方式',
          value: 'benchmark'
        },
        {
          name: '最新票息',
          value: 'lastestCoupon'
        },
        {
          name: '首个支付日',
          value: 'firstPaymentDay'
        },
        {
          name: 'ISIN',
          value: 'isin'
        },
        {
          name: 'Common code',
          value: 'commonCode'
        },
        {
          name: '牵头经办人',
          value: 'leadManager'
        },
        {
          name: '所属集团',
          value: 'issuerParentFirm'
        },
        {
          name: '国家/地区',
          value: 'countriesAndRegions'
        },
        {
          name: '发行价',
          value: 'issuePrice'
        },
        {
          name: '起息日',
          value: 'valueDate'
        },
        {
          name: '息票类型',
          value: 'typeOfCoupon'
        },
        {
          name: '付息频率',
          value: 'frequency'
        },
        {
          name: '担保',
          value: 'guarantee'
        },
        {
          name: '托管场所',
          value: 'custodianNstitution'
        },
        {
          name: 'CUSIP NUMber',
          value: 'cusipNumber'
        },
        {
          name: 'Fitch',
          value: 'fitch'
        }

      ],
      viewList: [
        {
          name: '债券简称',
          value: 'bondSimpleName'
        },
        {
          name: '余额',
          value: 'teminalAmount',
          valueType: 'w'
        },
        {
          name: '发行规模',
          value: 'issueVolume',
          valueType: 'w'
        },
        {
          name: '票面利率(%)',
          value: 'couponsWill'
        },
        {
          name: '剩余年限',
          value: 'residualMaturity'
        },
        {
          name: '面值',
          value: 'faceValue'
        },
        {
          name: '币种',
          value: 'currency'
        }
      ]
    },
    {
      code: 'trust_financing',
      routing: 'XinTuoRongZi',
      title: '信托融资',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      viewList: [
        {
          name: '公告日期',
          value: 'noticeDate',
          valueType: 'date'
        },
        {
          name: '信托公司',
          listVal: 'consigneeNameList',
          value: 'companyName',
          companyId: 'companyId',
          companyName: 'companyName'
        },
        {
          name: '担保人',
          listVal: 'guarantorNameList',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '融资金额',
          value: 'financeOrig',
          valueType: 'w'
        },
        {
          name: '利率(%)',
          value: 'annualRate'
        },
        {
          name: '期限',
          value: 'deadline'
        },
        {
          name: '起始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '来源',
          value: 'fileUrl',
          solt: () =>
            `
            <div class="source-pdf">
              <span>说明书</span>
              <img src="${pdfImg}"/>
            </div>`,
          customClick: (item: { fileUrl: string }) => {
            $goOuterUrl(item.fileUrl)
          }
        }
      ]
    },
    {
      code: 'bank_loan',
      routing: 'YingHangJieKuan',
      title: '银行借款',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      viewList: [
        {
          name: '公告日期',
          value: 'declareDate',
          valueType: 'date'
        },
        {
          name: '银行',
          value: 'creditor'
        },
        {
          name: '融资额',
          value: 'amountFinanced',
          valueType: 'w'
        },
        {
          name: '年利率(%)',
          value: 'annualInterestRate'
        },
        {
          name: '期限',
          value: 'expireDate'
        },
        {
          name: '起始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '来源',
          value: 'fileUrl',
          solt: () =>
            `
            <div class="source-pdf">
              <span>说明书</span>
              <img src="${pdfImg}"/>
            </div>`,
          customClick: (item: { fileUrl: string }) => {
            $goOuterUrl(item.fileUrl)
          }
        }
      ]
    },
    {
      code: 'credit_line',
      routing: 'ShouXinEDu',
      title: '授信额度',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      viewList: [
        {
          name: '截止日',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '披露日期',
          value: 'discloureDate',
          valueType: 'date'
        },
        {
          name: '授信额度',
          value: 'creditLine',
          valueType: 'w'
        },
        {
          name: '已使用',
          value: 'creditLineUsed',
          valueType: 'w'
        },
        {
          name: '未使用',
          value: 'creditLineUnused',
          valueType: 'w'
        },
        {
          name: '授信家数',
          value: 'creditEntityCount'
        }
      ]
    },
    {
      code: 'other_financing',
      routing: 'QiTaRongZi',
      title: '其他融资',
      companyId: '28f42c6b13f261514b2ed684034615d4',
      viewList: [
        {
          name: '企业名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '披露日期',
          value: 'declareDate',
          valueType: 'date'
        },
        {
          name: '融资类型',
          value: 'financingType'
        },
        {
          name: '融资额',
          value: 'financingAmount',
          valueType: 'w'
        },
        {
          name: '利率(%)',
          value: 'interestRate'
        },
        {
          name: '债权人信息',
          listVal: 'clientInfo',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '起始日期',
          value: 'beginDate',
          valueType: 'date'
        },
        {
          name: '截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '来源',
          value: 'fileUrl',
          solt: () =>
            `
            <div class="source-pdf">
              <span>说明书</span>
              <img src="${pdfImg}"/>
            </div>`,
          customClick: (item: { fileUrl: string }) => {
            $goOuterUrl(item.fileUrl)
          }
        }
      ]
    },
    {
      code: 'lease_financing',
      routing: 'ZuLinRongZi',
      title: '租赁融资',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      viewList: [
        {
          name: '公告日期',
          value: 'noticeDate',
          valueType: 'date'
        },
        {
          name: '出租人',
          value: 'companyName',
          listVal: 'leaserInfo',
          companyId: 'companyId'
        },
        {
          name: '担保人',
          value: 'companyName',
          listVal: 'guaranteelabel',
          companyId: 'companyId'
        },
        {
          name: '租金总额',
          value: 'finance',
          valueType: 'w'
        },
        {
          name: '财产价值',
          value: 'equity',
          valueType: 'w'
        },
        {
          name: '利率(%)',
          value: 'rate'
        },
        {
          name: '期限',
          value: 'deadline'
        },
        {
          name: '起始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '方式',
          value: 'leasingMethod'
        }
      ]
    }
  ]
}
