import { ShallowRef } from 'vue'

export interface TotalDemensionInter {
  companyName: string,
  list: DemensionPagesInter[]
}

export interface DemensionPagesInter {
  projectName: string,
  list: DemensionPagesListInter[]
}

export interface DemensionPagesListInter {
  code: string,
  routing: string,
  title: string,
  //是否有详情页
  hasDetail?: boolean,
  /**
  * 详情页不是返回body，而是返回其他的字段
  */
  detailValue?: string,
  detailList?: ViewListInter[],
  viewList?: ViewListInter[],
  /**
  * 中间展示的内容列表
  */
  contentList?: MenuListInter[],
  menuList?: MenuListInter[],  //tab下面的下拉菜单列表
  tabs?: tabsInter,  //是否有tabs，历史列表deleted，普通tab传数组
  /**
  * 详情页所属司法案件所传的type
  */
  detailType?: string
  /**
  * 自定义数组数据处理方法
  */
  listFliter?: Function,
  listCustomRender?: any,
  detailCustomRender?: any,
  /**
 * 自定义的详情页路由参数
 */
  detailRouteParams?: string[],
  /**
  * 公司的ID，方便调试用，88f开头是乐视
  */
  companyId: '88f04cbfab150fe2bccdeec3aea32750' | string,
  /**
  * 是否不取dataList，是的话直接取
  */
  noDataList?: boolean,
  /**
 * apiUrl
 */
  apiUrl?: 'firefly-erp/eci/dimension/detail' | string,
}


//标准字段展示列表，必须有value，valueType表示展示字段的处理类型
export interface ViewListInter {
  name?: string,
  value: string,
  //类型 时间、标题、万元、富文本、标题右边的tag,左边的logo,右边的关联企业，头像
  valueType?: 'date' | 'title' | 'w' | 'richText' | 'tag' | 'logo' | 'related' | 'avatar',
  //数组字段名
  listVal?: string,
  //需要跳转企业详情的ID和Name
  companyId?: string,
  companyName?: string,
  //自定义HTML元素
  solt?: Function | ShallowRef,
  customClick?: Function,

  /**
* 是否有财产线索
*/
  isProperty?: boolean
}

export interface MenuListInter {
  /**
   * 提交给后端的字段名
   */
  paramsValue: string,
  /**
   * v-model绑定的值
   */
  value: string,
  /**
   * 对应后端的ID匹配数组
   */
  paramsId?: string
  /**
   * 点开更多所展示的标题，数量大于4的时候使用
   */
  name?: string,
  list: { text: string, value: string | number }[]
}

export interface tabsInter {
  key: 'deleted' | string,
  list?: {
    name: string,
    value: string,
    viewList?: ViewListInter[],
    detailList?: ViewListInter[]
  }[]
}
