import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'
const routes: Array<RouteRecordRaw> = [
  {
    path: '/:routerName(.*)',
    name: 'demension',
    component: () => import('@/views/demension/list.vue')
  },
  {
    path: '/:routerName(.*)_history',
    name: 'demension_history',
    component: () => import('@/views/demension/list.vue')
  },
  {
    path: '/',
    redirect: '/index'
  },
  {
    path: '/index',
    name: 'index',
    component: () => import('@/views/index.vue')
  },
  {
    path: '/:routerName(.*)Det',
    name: 'detail',
    component: () => import('@/views/demension/detail.vue')
  },
  {
    path: '/notFound',
    name: 'notFound',
    component: () => import('@/views/notFound.vue')
  },
  {
    path: '/JYNewCaselibDet',
    name: 'JYNewCaselibDet',
    component: () => import('@/views/CustomPage/JYNewCaselibDet.vue')
  },
  {
    path: '/newCaseDetail',
    name: 'newCaseDetail',
    component: () => import('@/views/CustomPage/newCaseDetail.vue')
  },
  {
    path: '/MonitiorList',
    name: 'MonitiorList',
    component: () => import('@/views/CustomPage/MonitiorList.vue')
  },
  {
    path: '/PoChanChongZhengDetail',
    name: 'PoChanChongZhengDetail',
    component: () => import('@/views/CustomPage/PoChanChongZhengDetail.vue')
  }

]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})


router.beforeEach((to, from, next) => {
  console.log('to=', to)
  // if (!to.path.includes('Det')) {
  // next({ path: '/demension' })
  // }
  next()
  // console.log(to)

})

// router.afterEach((to) => {
// })

export default router
