import { useRoute } from 'vue-router'
import { $getDemension } from '@/utils/utils'
import { DemensionDetailStoreInter } from '../types/store'
import { defineStore } from 'pinia'
import $axios from '@/api'
export const useDemensionDetailStore = defineStore({
  id: 'demensionDetail',
  state: () => {
    return <DemensionDetailStoreInter>{
      selectDemension: {},
      info: {},
      allRes: {}
    }
  },
  actions: {
    //初始化列表状态
    getDemension(routerName?: string) {
      console.log(78, routerName)

      const demensionInfo = $getDemension(routerName)

      //首页返回所有维度列表，列表页正常返回
      if (demensionInfo.selectDemension) {
        this.selectDemension = demensionInfo.selectDemension
      } else {
        return demensionInfo.allDemensionArr
      }
      //风险扫描走特殊情况，直接进去页面调用接口
      if(!(routerName === 'FengXianSaoMiao')){
        this.getDetail()
      }
      
    },
    async getDetail() {
      const route = useRoute()

      let res = {}
      if (route.query.fromBusiness !== 'dynamic') {
        const params = {
          id: route.query.id,
          code: this.selectDemension.code
        }
        res = await $axios.get('lawyer-workbench/risk/dimension/detail', { params })
      } else {
        const params = {
          tn: route.query.tn,
          rowkey: route.query.rowkey
        }
        res = await $axios.get('radar-monitors/v8/radar/detail', { params })
      }
      this.allRes = res
      if (this.selectDemension.detailValue) {
        this.info = res[this.selectDemension.detailValue]
      } else {
        this.info = res
      }

    }

  }
})
