import { useRoute } from 'vue-router'
import axios from 'axios'
const route = useRoute()


//未完成方法 分享APP内部页面
export const $shareH5 = (obj: any) => { //跳企业Native
  console.log(obj)
  return
}

export const $methods = {
  wx_shareConfig: function (config) { //二次分享
    if (import.meta.env.MODE !== 'production' || route.query.pageType !== 'H5' || !window.methods.is_weixin()) {
      return
    }
    console.log('shareConfig', window.wx)
    if (window.wx) {
      shareConfig(config)
    } else {
      const script = document.createElement('script')
      script.src = './jweixin-1.2.0.js'
      document.querySelector('body').append(script)
      const Timer = setInterval(() => {
        if (window.wx) {
          shareConfig(config)
          clearInterval(Timer)
        }
      }, 300)
    }
  }
}



const shareConfig = (config) => {
  axios({
    // url: '/getConfigSign.ajax',
    url: '/getConfigSignSimple.ajax',
    method: 'GET',
    params: {
      'url': encodeURIComponent(window.location.href),
      'money': '',
      'openId': '',
      'orderId': '',
      'prepayId': ''
    }
  }).then(function (res) {
    console.log(res)
    window.wx.config({
      debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
      appId: res.data.appId, // 必填，公众号的唯一标识
      timestamp: res.data.signParam.timestamp, // 必填，生成签名的时间戳
      nonceStr: res.data.signParam.noncestr, // 必填，生成签名的随机串
      signature: res.data.signParam.signature, // 必填，签名，见附录1
      jsApiList: ['hideMenuItems', 'onMenuShareTimeline', 'onMenuShareAppMessage']
      // ,jsApiList: ['onMenuShareTimeline', 'onMenuShareAppMessage','onMenuShareQQ','onMenuShareQZone', 'chooseImage', 'uploadImage'] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
    })

    window.wx.ready(function () {
      //批量隐藏功能
      window.wx.hideMenuItems({
        menuList: [
          // 'menuItem:share:appMessage',
          // 'menuItem:share:timeline',
          'menuItem:exposeArticle',
          'menuItem:share:qq',
          'menuItem:share:weiboApp',
          'menuItem:share:facebook',
          'menuItem:share:QZone',
          'menuItem:editTag',
          //'menuItem:copyUrl',
          // 'menuItem:openWithQQBrowser',
          // 'menuItem:openWithSafari',
          'menuItem:share:email'
        ],
        success: function () {
          // alert('已隐藏“阅读模式”，“分享到朋友圈”，“复制链接”等按钮');
        },
        fail: function () {
          // alert(JSON.stringify(res));
        }
      })
      window.wx.onMenuShareAppMessage({
        title: config.title, // 分享标题
        desc: config.desc, // 分享描述
        link: config.link, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
        imgUrl: config.imgUrl, // 分享图标
        success: function () {
          // 设置成功
        }
      })
      window.wx.onMenuShareTimeline({
        title: config.title, // 分享标题
        link: config.link, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
        imgUrl: config.imgUrl, // 分享图标
        success: function () {
          // 设置成功
        }
      })
    })
  }).catch(function (error) {
    console.log(error)
  })
}
